com.tibbo.aggregate.common.device

## Class DeviceEntityDescriptor

- java.lang.Object
- - com.tibbo.aggregate.common.datatable.AggreGateBean
  - - com.tibbo.aggregate.common.device.DeviceEntityDescriptor

-     public class DeviceEntityDescriptor
      extends AggreGateBean

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `FIELD_ACTIVE`
    `static java.lang.String` | `FIELD_DESCRIPTION`
    `static java.lang.String` | `FIELD_GROUP`
    `static java.lang.String` | `FIELD_NAME`
    `static TableFormat` | `FORMAT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeviceEntityDescriptor(DataRecord rec)`
    `DeviceEntityDescriptor(java.lang.String name, java.lang.String description, java.lang.String group, java.lang.Boolean active)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.Boolean` | `getActive()`
    `java.lang.String` | `getDescription()`
    `java.lang.String` | `getGroup()`
    `java.lang.String` | `getName()`
    `int` | `hashCode()`
    `void` | `setActive(java.lang.Boolean active)`
    `void` | `setDescription(java.lang.String description)`
    `void` | `setGroup(java.lang.String group)`
    `void` | `setName(java.lang.String name)`

    - ### Methods inherited from class com.tibbo.aggregate.common.datatable.AggreGateBean

      `getFormat, toDataRecord, toDataTable`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FIELD_NAME

          public static final java.lang.String FIELD_NAME

      See Also:
        Constant Field Values

    - #### FIELD_DESCRIPTION

          public static final java.lang.String FIELD_DESCRIPTION

      See Also:
        Constant Field Values

    - #### FIELD_GROUP

          public static final java.lang.String FIELD_GROUP

      See Also:
        Constant Field Values

    - #### FIELD_ACTIVE

          public static final java.lang.String FIELD_ACTIVE

      See Also:
        Constant Field Values

    - #### FORMAT

          public static final TableFormat FORMAT

  - ### Constructor Detail

    - #### DeviceEntityDescriptor

          public DeviceEntityDescriptor(java.lang.String name,
                                        java.lang.String description,
                                        java.lang.String group,
                                        java.lang.Boolean active)

    - #### DeviceEntityDescriptor

          public DeviceEntityDescriptor(DataRecord rec)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### setName

          public void setName(java.lang.String name)

    - #### getDescription

          public java.lang.String getDescription()

    - #### setDescription

          public void setDescription(java.lang.String description)

    - #### getGroup

          public java.lang.String getGroup()

    - #### setGroup

          public void setGroup(java.lang.String group)

    - #### getActive

          public java.lang.Boolean getActive()

    - #### setActive

          public void setActive(java.lang.Boolean active)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`